package com.ruoyi.mall.service;

import java.util.List;
import java.util.Map;

import com.ruoyi.mall.domain.MallGoodsClass;

/**
 * 商品类型Service接口
 *
 * @author chang
 * @date 2021-11-25
 */
public interface IMallGoodsClassService
{
    /**
     * 查询商品类型
     *
     * @param id 商品类型主键
     * @return 商品类型
     */
    public MallGoodsClass selectMallGoodsClassById(Long id);

    /**
     * 查询商品类型列表
     *
     * @param mallGoodsClass 商品类型
     * @return 商品类型集合
     */
    public List<MallGoodsClass> selectMallGoodsClassList(MallGoodsClass mallGoodsClass);

    /**
     * 查询下拉分类列表
     *
     * @return 商品类型集合
     */
    public List<Map<String,Object>> getClassSelectList();

    /**
     * 新增商品类型
     *
     * @param mallGoodsClass 商品类型
     * @return 结果
     */
    public int insertMallGoodsClass(MallGoodsClass mallGoodsClass);

    /**
     * 修改商品类型
     *
     * @param mallGoodsClass 商品类型
     * @return 结果
     */
    public int updateMallGoodsClass(MallGoodsClass mallGoodsClass);

    /**
     * 批量删除商品类型
     *
     * @param ids 需要删除的商品类型主键集合
     * @return 结果
     */
    public int deleteMallGoodsClassByIds(Long[] ids);

    /**
     * 删除商品类型信息
     *
     * @param id 商品类型主键
     * @return 结果
     */
    public int deleteMallGoodsClassById(Long id);

    /*
    * 查询所有在使用的商品分类
    *
    * */
    public List<MallGoodsClass> selectDefaultMallGoodsClasses(Long parentId);

    /**
     * 查询下拉分类列表
     *
     * @param mallGoodsClass 商品类型
     * @return 商品类型集合
     */
    public List<MallGoodsClass> getDropdownClassList(MallGoodsClass mallGoodsClass);
}
